Subject: bug#39340: 26.3; "Noto Emoji" font not displayed

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Feb 2020 18:58:16 +0200

> From: Robert Pluim <[email-masked]>
> Cc: YAGI Tatsuya <[email-masked]>,  [email-masked]
> Date: Mon, 03 Feb 2020 17:27:23 +0100
> 
>     >> (current\ fallback:\ font\ for 66720 nil)
> 
>     Eli> I don't understand why it falls back to "current fallback"; it doesn't
>     Eli> on my system.
> 
>     Eli> I guess we've reached the limit of what I know about how Emacs looks
>     Eli> for fonts (which admittedly isn't too much).
> 
> Iʼve just given this a quick go on my Windows-10 VM: Ebrima is
> correctly used for OSMANYA DIGITS when using the harfbuzz backend, but
> not when using the uniscribe backend.

Interesting.  What happens when Uniscribe is used? do you also see
Emacs falling back on "current fallback"?  And if so, can you see why
that happens?  Does font_has_char return zero or -1 for Ebrima and any
of the OSMANYA DIGITs?

Thanks.